package eu.mhsl.craftattack.teamLobby.http;


public record ReqResp<TData>(int status, TData data) {
    @SuppressWarnings("unchecked")
    public <T> T cast() {
        System.out.println("Casting: " + this.data);
        return (T) this.data;
    }
}